.form-container {
    position: relative;
    width: 100%;
}

.form-container label {
    position: absolute;
    top: 0;
    left: 1.6rem;
    transform: translateY(-50%);
    padding: 0 0.5rem;
    font-size: var(--text-size-min);
    background: var(--bg-color);
}

.form-container input {
    padding: 1rem 1.5rem !important;
    font-size: 1rem;
    border: 1px solid #505050 !important;
}

input[type="text"] {
    font-family: 'Inter';
    font-weight: 400;
    padding: 1rem;
    border: 1px solid rgb(180 184 204 / 30%);
    border-radius: 1rem;
    color: rgb(180 184 204 / 30%);
    font-size: var(--text-size-min);
    width: 100%;
    background: none;
}

textarea {
    font-family: 'Inter';
    background: none;
    font-weight: 400;
    padding: 1rem;
    border: 1px solid rgb(180 184 204 / 30%);
    border-radius: 1rem;
    color: rgb(180 184 204 / 30%);
    font-size: var(--text-size-min);
    width: 100%;
    height: 12rem;
    resize: none;
}

.modal-content-text-review {
    width: 94%;
    display: none;
    flex-direction: column;
    gap: 2.5rem;
    min-height: 95%;
    scroll-snap-align: start;
}

.review-button {
    margin-top: -2.5rem;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px 15px;
    gap: 0.5rem;
    font-size: var(--text-size-min);
    font-weight: 500;
    border: none;
    border-radius: 0.5rem;
    background: rgb(180 184 204 / 10%);
    color: rgb(180 184 204 / 30%);
    width: 50%;
}

.review-button svg {
    width: 20px;
    color: currentColor;
}

.button-review-submit {
    width: 100%;
    background: var(--primary-color);
    color: var(--text-white-color);
    border: none;
    padding: 10px 15px;
    font-size: var(--text-size-min);
    cursor: pointer;
    border-radius: 0.5rem;
    font-weight: 600;
}

.field-item-title {
    font-weight: 600;
    font-size: var(--text-size-min);
}

.field-item {
    display: flex;
    flex-direction: column;
}

.rating {
    margin: -0.5rem 0;
    display: flex;
    flex-direction: row-reverse;
    justify-content: flex-end;
}

.rating input {
    display: none;
}

.rating label {
    cursor: pointer;
    font-size: 30px;
    color: #ccc;
}

.rating label:before {
    content: '★';
}

.rating input:checked ~ label,
.rating label:hover,
.rating label:hover ~ label {
    color: #ffc107;
}

@media (max-width: 540px) {
    .review-button {
        width: 100%;
    }
}